
/*
 * Copyright (c) 1993, 1994 Carnegie Mellon University.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted, 
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear
 * in supporting documentation, and that the name of CMU not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  
 * 
 * CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 * CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 *
 */


#include <cons_def.h>

#ifdef MONITOR_PARSE

#define MAXPROCSTATE  7
char *process_state_strings [MAXPROCSTATE] = {
   "REQ", "ACC", "EST", "CLO", "TIM", "RST", "FIN",
};

int bflag = 0;
int eflag = 0;
int cflag = 0;
int Cflag = 0;
int mflag = 0;
int Mflag = 0;
int nflag = 0;         /* leave addresses as numbers */
int Nflag = 0;
int Normflag = 0;
int Netflag = 0;
int notNetflag = 0;
int Oflag = 0;
int Wflag = 0;
int Eflag = 0;
int Fflag = 0;
int Hflag = 0;
int Pflag = 0;
int sflag = 0;
int dflag = 0;
int debugflag = 0;
 
int tflag = 0;
int uflag = 0;
int vflag = 0;
int Vflag = 0;
int iflag = 0;
 
int Iflag = 0;
int Tflag = 0;
int rflag = 0;
int Rflag = 0;
int Sflag = 0;
int Xflag = 0;
 
long thiszone;         /* gmt to local correction */
 
int total_nets = 0;
int total_hosts = 0;

struct STATISTICS total_stats;

int parseerror = 0;
char *parseerrorstr [POLICYFIELDNUM] = {
   "access-list identifier not found",
   "policy id number not found",
   "permit/deny indication not found",
   "protocol indentifier not found",
   "no source address defined",
   "no source address mask defined",
   "no destination address defined",
   "no destination address mask defined",
   "port operator not found",
   "port number not found",
   "access violation notification not found",
};

#else
 
extern char cmdline [];
extern char *process_state_strings [];

extern int bflag;
extern int eflag;
extern int cflag;
extern int Cflag;
extern int mflag;
extern int Mflag;
extern int nflag;         /* leave addresses as numbers */
extern int Nflag;
extern int Normflag;
extern int Netflag;
extern int notNetflag;
extern int Oflag;
extern int Wflag;
extern int Eflag;
extern int Fflag;
extern int Hflag;
extern int Pflag;
extern int sflag;
extern int dflag;
extern int debugflag;

extern int tflag;
extern int uflag;
extern int vflag;
extern int Vflag;
extern int iflag;

extern int Iflag;
extern int Tflag;
extern int rflag;
extern int Rflag;
extern int Sflag;
extern int Xflag;

extern long thiszone;         /* gmt to local correction */

extern int total_nets;
extern int total_hosts;

extern struct STATISTICS total_stats;

extern int parseerror;
extern char *parseerrorstr [];

#endif
